using Microsoft.EntityFrameworkCore;
using System.Collections.Generic;

namespace WerksverkaufScanner.Data;

public class ScannerDb : DbContext
{
    public ScannerDb(DbContextOptions<ScannerDb> options) : base(options) { }
    public DbSet<Artikel> Artikel => Set<Artikel>();
    public DbSet<InventurErfassung> InventurErfassung => Set<InventurErfassung>();
    public DbSet<Kassierer> Kassierer { get; set; } = null!;
    public DbSet<PreisAenderung> PreisAenderungen => Set<PreisAenderung>();
    public DbSet<Filiale> Filialen => Set<Filiale>();
}
